@import "main.css";
@import "page_title.css";
@import "page_nav.css";

.banner{
  display: block;
  height: calc(50vh - 50px);
  width: 100%;
  background-image: url(../img/banner/life_banner_01.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  bottom: 100px;
  margin-bottom: -100px;
}

section{
  margin: 20px 0px;
}

.bg-gray{
  margin-top: 60px;
}

.arrow{
  position: relative;
  bottom: 10px;
}

.life_list_container{
  display: grid;
  grid-template-columns: 1fr;
}

.life-item{
  display: grid;
  grid-template-columns: 1fr 4fr;
  border-bottom: 2px solid var(--dark-300);
}

.life-img{
  display: block;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
}

.life-img h2{
  position: absolute;
  bottom: 20px;
  text-align: center;
  display: block;
  width: 100%;
  color: var(--dark-100);
  letter-spacing: 2px;
  font-weight: 400;
  padding: 0;
  margin: 0;
}

.life-data{
  display: block;
  box-sizing: border-box;
  height: 100%;
  position: relative;
  background-color: var(--dark-100);
}

.life-data-container{
  height: 160px;
  width: 100%;
  position: relative;
  margin-top: 20px;

}

.life-data-input{
  display: grid;  
  padding-left: 12px;
  height: 30px;
  grid-template-columns: 30% 40% 30%;
  box-sizing: border-box;
  margin-bottom: 12px;
  line-height: 30px;
}

.life-data-input label{
  display: inline-block;
  letter-spacing: 2px;
  font-size: .8rem;
}

.life-data-input input{
  display: inline-block;
  width: auto;
  min-width: 60px;
  border: none;
  background-color: var(--dark-300);
  padding: 0px 8px;
  outline: none;
}

.life-data-input input:focus{
  border: 2px solid var(--brand-color-2);
}

.life-data-input span{
  display: inline-block;
  padding: 0px 6px;
}

.life_list_footer{
  width: 100%;
  display: block;
  background-color: var(--dark-600);
  color: var(--dark-100);
  text-align: center;
  padding: 12px;
  letter-spacing: 1px;
  box-sizing: border-box;
}

.c_total{
  text-align: center;
  background-color: var(--brand-color-2);
  color: var(--dark-100);
  font-size: 1.2rem;
  padding: 20px 0px;
}

.n_total{
  text-align: center;
  color: var(--brand-color-2);
  font-size: 1.8rem;
  font-weight: 600;
  padding: 20px 0px; 
  background-color: #fff; 
}

.n_total p{
  padding: 0px;
  margin: 0;  
}

.n_total ::before{
  content: '本月碳排總計';
  padding-right: 20px;
  color: var(--brand-color-2);
  font-weight: 600; 
  font-size: .8rem;
}

.n_total ::after{
  content: 'Kg CO2e';
  padding-left: 20px;
  color: var(--dark-900);
  font-weight: 600; 
  font-size: .8rem;
}

.a_total_container{
  display: grid;
  grid-template-columns: 1fr;
}

.a_total{
  text-align: left;
  color: var(--dark-100);
  background-color: var(--brand-color-2);
  font-size: 1rem;
  padding: 0.6rem 6px;
  height: 2.4rem;
  line-height: 1.2rem;
  position: relative;
  box-sizing: border-box;
}

.a_total input{
  position: absolute;
  text-align: center;
  top: 0;
  right: 0;
  width: 20%;
  height: 2.4rem;
  border: none;
  border-radius: 0px;
  box-sizing: border-box;
  border-bottom: 1px solid var(--dark-300);
}

.b_total{
  text-align: left;
  color: var(--dark-100);
  background-color: var(--brand-color-2);
  font-size: .8rem;
  padding: 0.6rem 6px;
  height: 2.4rem;
  line-height: 1.2rem;
  position: relative;
  box-sizing: border-box;
}

.b_total input{
  position: absolute;
  text-align: center;
  top: 0;
  right: 0;
  width: 20%;
  height: 2.4rem;
  border: none;
  border-radius: 0px;
  font-size: 1rem;
  box-sizing: border-box;
  border-bottom: 1px solid var(--dark-300);
}

@media screen and (min-width: 430px){
  .life-item{
    grid-template-columns: 1fr 2fr;
  }

  .life-img{
    aspect-ratio: 2/3;
  }

  .life-img h2{
    bottom: 20px;
    display: block;
  }

  .life-data-container{
    height: 160px;
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}


@media screen and (min-width: 768px){
  .banner{
    height: calc(50vh - 50px);
    background-image: url(../img/banner/life_banner_01.jpg);
  }

  .life-img h2{
    bottom: 24px;
    font-size: 32px;
  }

  .life-data{
    display: block;
    box-sizing: border-box;
  }

  .n_total{
    text-align: center;
    color: var(--brand-color-2);
    font-size: 2.6rem;
    font-weight: 600;
    padding: 20px 0px;
    background-color: var(--dark-200);   
  }

  .a_total{
    text-align: left;
    color: var(--dark-100);
    background-color: var(--brand-color-2);
    font-size: 1.2rem;
    padding: 0.6rem 15%;
    height: 2.4rem;
    line-height: 1.2rem;
    position: relative;
    box-sizing: border-box;
  }

  .b_total{
    text-align: left;
    color: var(--dark-100);
    background-color: var(--brand-color-2);
    font-size: 1.2rem;
    padding: 0.6rem 7.5%;
    height: 2.4rem;
    line-height: 1.2rem;
    position: relative;
    box-sizing: border-box;
  }

  .a_total input{
    position: absolute;
    text-align: center;
    top: 0;
    right: 0;
    width: 50%;
    height: 2.4rem;
    border: none;
    box-sizing: border-box;
    border-bottom: 1px solid var(--dark-300);
  }

  .b_total input{
    position: absolute;
    text-align: center;
    top: 0;
    right: 0;
    width: 20%;
    height: 2.4rem;
    border: none;
    box-sizing: border-box;
    border-bottom: 1px solid var(--dark-300);
  }

  .a_total_container{
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}


@media screen and (min-width: 1024px){
  .b_total input{
    width: 50%;
  }
  .life_list_container{
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}